TransformationPathway
Keywords: uk.ac.ic.doc.automed.reps.TransformationPathway,TransformationPathway class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class TransformationPathway

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.TransformationPathway

public class TransformationPathway
extends java.lang.Object

The TransformationPathway class

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk), Nerissa Tong (nnyt98@doc.ic.ac.uk)
See Also:
  `Path`

Constructor Summary
`TransformationPathway()`

Method Summary
`boolean` | `addTran(Transformation t)`
`void` | `checkIsWellformed()`
`static TransformationPathway` | `createFromTMLPathway(TMLPathway p)`
`static TransformationPathway` | `findShortestPath(Schema schema1, Schema schema2)` Deprecated. use findShortestPathway(Schema, Schema)
`static TransformationPathway` | `findShortestPath(java.lang.String schema1, java.lang.String schema2)` Deprecated. use findShortestPathway(String, String)
`static TransformationPathway` | `findShortestPathway(Schema schema1, Schema schema2)` Find the shortest path containing the fewest number of steps between two schemas.
`static TransformationPathway` | `findShortestPathway(java.lang.String schema1, java.lang.String schema2)`
`int` | `getNumberOfTrans()`
`Schema[]` | `getSchemas()` Return as an array the `Schema`s that appear in the `Transformation`s of this TransformationPathway.
`Transformation[]` | `getTransformations()` Return as an array the `Transformation`s that make up this TransformationPathway.
`boolean` | `isInRepository()`
`boolean` | `isWellformed()`
`java.lang.Object` | `optimise()`
`java.lang.String` | `toString()`
`void` | `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformationPathway

    public TransformationPathway()

Method Detail

### addTran

    public boolean addTran(Transformation t)

### findShortestPath

    public static TransformationPathway findShortestPath(java.lang.String schema1,
                                                         java.lang.String schema2)
                                                  throws IntegrityException,
                                                         NotFoundException

  Deprecated. use findShortestPathway(String, String)

    `IntegrityException`
    `NotFoundException`

### findShortestPath

    public static TransformationPathway findShortestPath(Schema schema1,
                                                         Schema schema2)
                                                  throws IntegrityException,
                                                         NotFoundException

  Deprecated. use findShortestPathway(Schema, Schema)

    `IntegrityException`
    `NotFoundException`

### findShortestPathway

    public static TransformationPathway findShortestPathway(java.lang.String schema1,
                                                            java.lang.String schema2)
                                                     throws IntegrityException,
                                                            NotFoundException

    `IntegrityException`
    `NotFoundException`

### findShortestPathway

    public static TransformationPathway findShortestPathway(Schema schema1,
                                                            Schema schema2)
                                                     throws IntegrityException,
                                                            NotFoundException

  Find the shortest path containing the fewest number of steps between two schemas. Note that this might not be the best path to use, since it might contain extend and contract transformations, where a longer path might not contain extend and contract transformations.

    `IntegrityException`
    `NotFoundException`

### isWellformed

    public boolean isWellformed()

### checkIsWellformed

    public void checkIsWellformed()
                           throws IntegrityException

    `IntegrityException`

### optimise

    public java.lang.Object optimise()
                              throws IntegrityException,
                                     InconsistentException,
                                     NotFoundException

    `IntegrityException`
    `InconsistentException`
    `NotFoundException`

### createFromTMLPathway

    public static TransformationPathway createFromTMLPathway(TMLPathway p)

### getTransformations

    public Transformation[] getTransformations()

  Return as an array the `Transformation`s that make up this TransformationPathway.

### getSchemas

    public Schema[] getSchemas()

  Return as an array the `Schema`s that appear in the `Transformation`s of this TransformationPathway.

### getNumberOfTrans

    public int getNumberOfTrans()
                         throws IntegrityException

    `IntegrityException`

### isInRepository

    public boolean isInRepository()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### write

    public void write()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD